@kastayou Hi,kastayou . "Project on github is only available for keil and I do not have it":I'm sorry for it supported Keil only currently, but the open source code on github you could try to transplant other platform.
"It is not possible to configure the app interval to 600": We have test it ,and didn't occure this problem(You'd better turn off the watchdog whether you can eliminate the problem that you encounter).but it has another issue about "LIS3DH no ack".You could try this firmware that has fixed this issue. .0_1548058946161_RAK811_HF_TRACKER.bin

In addition,we are integrating a platform, fixing some problems with the previous firmware, and redefining the version number.of course, with new documentation. Please notice the release open source code of github.